Package twisted :: Package protocols :: Module htb :: Class FilterByHost |
[show private | hide private]
[frames | no frames]

## Class FilterByHost

    HierarchicalBucketFilter --+
                               |
                              FilterByHost

A bucket filter with a bucket for each host.

Method Summary
| `__init__(self, parentFilter)` (inherited from `HierarchicalBucketFilter`)
`Bucket` | ``getBucketFor`(self, *a, **kw)` You want a bucket for that? I'll give you a bucket. (inherited from `HierarchicalBucketFilter`)
| `getBucketKey(self, transport)`
| ``sweep`(self)` I throw away references to empty buckets. (inherited from `HierarchicalBucketFilter`)

Class Variable Summary
`int` | `sweepInterval`

Class Variable Details

    ### sweepInterval Type: `int` Value:
        1200

Generated by Epydoc 1.1 on Thu May 8 13:18:46 2003 | http://epydoc.sf.net